com.tibbo.aggregate.common.event

## Class EventDataTableUtils

- java.lang.Object
- - com.tibbo.aggregate.common.event.EventDataTableUtils

-     public class EventDataTableUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `EVENT_TABLE_FORMAT`
    `static java.lang.String` | `VF_EVENT_TABLE_ACKNOWLEDGEMENTS_TABLE`
    `static java.lang.String` | `VF_EVENT_TABLE_CONTEXT`
    `static java.lang.String` | `VF_EVENT_TABLE_COUNT`
    `static java.lang.String` | `VF_EVENT_TABLE_CREATION_TIME`
    `static java.lang.String` | `VF_EVENT_TABLE_DATA`
    `static java.lang.String` | `VF_EVENT_TABLE_DEDUPLICATION_ID`
    `static java.lang.String` | `VF_EVENT_TABLE_ENRICHMENTS_TABLE`
    `static java.lang.String` | `VF_EVENT_TABLE_EXPIRATION_TIME`
    `static java.lang.String` | `VF_EVENT_TABLE_ID`
    `static java.lang.String` | `VF_EVENT_TABLE_INSTANTIATION_TIME`
    `static java.lang.String` | `VF_EVENT_TABLE_LEVEL`
    `static java.lang.String` | `VF_EVENT_TABLE_LISTENER`
    `static java.lang.String` | `VF_EVENT_TABLE_NAME`
    `static java.lang.String` | `VF_EVENT_TABLE_ORIGINATOR`
    `static java.lang.String` | `VF_EVENT_TABLE_SESSION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDataTableUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event` | `evaluateExpression(Event ev, java.lang.String expression, ContextManager contextManager, Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_TABLE_FORMAT

          public static TableFormat EVENT_TABLE_FORMAT

    - #### VF_EVENT_TABLE_ID

          public static final java.lang.String VF_EVENT_TABLE_ID

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_INSTANTIATION_TIME

          public static final java.lang.String VF_EVENT_TABLE_INSTANTIATION_TIME

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_CREATION_TIME

          public static final java.lang.String VF_EVENT_TABLE_CREATION_TIME

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_EXPIRATION_TIME

          public static final java.lang.String VF_EVENT_TABLE_EXPIRATION_TIME

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_CONTEXT

          public static final java.lang.String VF_EVENT_TABLE_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_NAME

          public static final java.lang.String VF_EVENT_TABLE_NAME

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_ACKNOWLEDGEMENTS_TABLE

          public static final java.lang.String VF_EVENT_TABLE_ACKNOWLEDGEMENTS_TABLE

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_DATA

          public static final java.lang.String VF_EVENT_TABLE_DATA

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_LISTENER

          public static final java.lang.String VF_EVENT_TABLE_LISTENER

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_LEVEL

          public static final java.lang.String VF_EVENT_TABLE_LEVEL

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_COUNT

          public static final java.lang.String VF_EVENT_TABLE_COUNT

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_ENRICHMENTS_TABLE

          public static final java.lang.String VF_EVENT_TABLE_ENRICHMENTS_TABLE

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_ORIGINATOR

          public static final java.lang.String VF_EVENT_TABLE_ORIGINATOR

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_DEDUPLICATION_ID

          public static final java.lang.String VF_EVENT_TABLE_DEDUPLICATION_ID

      See Also:
        Constant Field Values

    - #### VF_EVENT_TABLE_SESSION_ID

          public static final java.lang.String VF_EVENT_TABLE_SESSION_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventDataTableUtils

          public EventDataTableUtils()

  - ### Method Detail

    - #### evaluateExpression

          public static Event evaluateExpression(Event ev,
                                                 java.lang.String expression,
                                                 ContextManager contextManager,
                                                 Context context)
                                          throws ContextException

      Throws:
        `ContextException`